class Backdrop {
  float x;
  float speed;
  PImage pic;
  
  int numTiles;  //how many times the image must be drawn to stretch across the screen
  
  Backdrop(){
    x=0;  //x is used to cycle the image over and over
    speed=2;  //how fast the sea moves 
    
    numTiles=4;
    
    //load the image
    pic=loadImage("data/pics/waterTile.jpg");
  }
  
  void update(){
    x-=speed;
    if (x<-width)  x+=pic.width;
  }
  
  void draw(){
    tint(255,255,255);
    imageMode(CORNER);
    for (int i=0; i<numTiles; i++)
      image(pic,x+i*pic.width,0);
  }
}

