class BossBullet{
  float x,y;  //location
  float angle;
  
  float hitSize=30;
  float damage=2;
  
  //how far from the center of the ship to start it
  float inFrontOffset=35;  
  float inBackOffset=25;
  
  float speed=8;  //how fast it moves
  float xVel;
  float yVel;
  
  PImage pic;   //image of the cannon ball
  float picOffsetX=35;  //how much to move the image over to keep the front in the center
  
  boolean killMe;  //flag becomes true if the cannon ball is off screen
  
 
  BossBullet(float _x, float _y, float _angle){
    x=_x;
    y=_y;
    angle=_angle;
    
    xVel=cos(angle)*speed;
    yVel=sin(angle)*speed;
    
    killMe=false;
    
    //load the image
    pic=loadImage("data/pics/bossShot.png");
   
  } 
  
  void update(){
    //move the ball
    x+=xVel;
    y+=yVel;
    //check if it is offscreen
    if (x<0)  killMe=true;
    
    
  }
  
  void draw(){
    imageMode(CENTER); 
    pushMatrix();
    translate(x,y);
    rotate(angle+PI);
    translate(picOffsetX,0);  //move the image over, so the hit box is on the front
    tint(255,255,255);
    image(pic,0,0);
    popMatrix();
   
    //draw the hit box 
//    noFill();
//    stroke(255, 0, 0);
//    ellipse(x,y,hitSize,hitSize);
  }
  
  
}
