class Bullet{
  float x,y;  //location
  
  //how far from the center of the ship to start it
  float inFrontOffset=35;  
  float inBackOffset=25;
  
  float speed=8;  //how fast it moves
  PImage pic;   //image of the cannon ball
  
  //hitting things
  float hitSize=14;
  float damage=1;
  
  //rotation for style
  float curAngle=0;
  float rotSpeed=0.2;  //how fast to spin
  
  boolean killMe;  //flag becomes true if the cannon ball is off screen
  
  boolean inFront;  //is the bullet in front of or behind the ship?
 
  Bullet(float _x, float _y, boolean _inFront){
    x=_x;
    inFront=_inFront;
    if (inFront)  y=_y+inFrontOffset;
    else          y=_y+inBackOffset;
    
    killMe=false;
    
    //load the image
    pic=loadImage("data/pics/cannonball.png");
  } 
  
  void update(){
    //move the ball
    x+=speed;
    //check if it is offscreen
    if (x>width+100)  killMe=true;
    
    //rotate
    curAngle+=rotSpeed;
  }
  
  void draw(){
    imageMode(CENTER); 
    pushMatrix();
    translate(x,y);
    rotate(curAngle);
    tint(255,255,255);
    image(pic,0,0);
    popMatrix();
    
    //draw the hit box
//     noFill();
//    stroke(255, 0, 0);
//    ellipse(x,y,hitSize,hitSize);
  }
  
  
}
